TikTok Live Info API

Gets info for a TikTok live room, including like count. Returns 403 at no charge when TikTok refuses access to the room.

1 creditper request
GET
/v1/tiktok/live
curl "https://api.scrapecreators.com/v1/tiktok/live" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 1000000,
  "credits_charged": 1,
  "room_id": "7523685855395842871",
  "like_count": 4317,
  "viewer_count": 268,
  "status": "live",
  "title": "6'13 Grateful Streamer",
  "cover_url": "https://p16-webcast.tiktokcdn-us.com/webcast/cover.jpeg",
  "owner": {
    "id": "6742945285876515845",
    "username": "thejustalex",
    "display_name": "JustAlex"
  }
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

room_id
string
required

Live room ID from liveRoomUserInfo.roomId or liveRoom.id in /v1/tiktok/user/live when the user is live.

Example:
7523685855395842871
user_id
string
required

Live owner's numeric user ID from user.id in /v1/tiktok/profile.

Example:
6742945285876515845